#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: vector-binary-instances
version: 0.2.1.0
id: vector-binary-instances-0.2.1.0-de9f206be32c0537d59476302a5b6476
key: vecto_0hcxLAgqiag6QHIb7sqj29
license: BSD3
maintainer: dons00@gmail.com, bos@serpentine.com
stability: Experimental
homepage: https://github.com/bos/vector-binary-instances
synopsis: Instances of Data.Binary and Data.Serialize for vector
description:
    Instances for Binary for the types defined in the vector package,
    making it easy to serialize vectors to and from disk. We use the
    generic interface to vectors, so all vector types are supported.
    Specific instances are provided for unboxed, boxed and storable
    vectors.
    .
    To serialize a vector:
    .
    > *Data.Vector.Binary> let v = Data.Vector.fromList [1..10]
    > *Data.Vector.Binary> v
    > fromList [1,2,3,4,5,6,7,8,9,10] :: Data.Vector.Vector
    > *Data.Vector.Binary> encode v
    > Chunk "\NUL\NUL\NUL\NUL\NUL...\NUL\NUL\NUL\t\NUL\NUL\NUL\NUL\n" Empty
    .
    Which you can in turn compress before writing to disk:
    .
    > compress . encode $ v
    > Chunk "\US\139\b\NUL\NUL\N...\229\240,\254:\NUL\NUL\NUL" Empty
category: Data
author: Don Stewart
exposed: True
exposed-modules:
    Data.Vector.Binary Data.Vector.Cereal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/vector-binary-instances-0.2.1.0
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/vector-binary-instances-0.2.1.0
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/vector-binary-instances-0.2.1.0
hs-libraries: HSvector-binary-instances-0.2.1.0-0hcxLAgqiag6QHIb7sqj29
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    binary-0.7.5.0-210ed49a66bfc1910dcc35f4d9fcd9cd
    cereal-0.4.1.1-c9f2a4854fdf3fb8237835c56b6025a5
    vector-0.10.12.3-df22e243cd37291cebd65584b0ee856f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/vector-binary-instances-0.2.1.0/html/vector-binary-instances.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/vector-binary-instances-0.2.1.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
